Remove Users & Groups from Roles on a Single Binder
Remove users and groups from roles on a single binder.
DELETE
/api/{version}/objects/binders/{binder_id}/roles/{role_name_and_user_or_group}/{id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The id value of the binder from which to remove roles. |
{role_name_and_user_or_group} | The name of the role from which to remove the user or group followed by either user or group. The format is {role_name}.{user_or_group}. For example, consumer__v.user. |
{id} | The id value of the user or group to remove from the role. |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/binders/1234/roles/consumer__v.user/1008313Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "User/group deleted from role",
"updatedRoles": {
"consumer__v": {
"users": [
1008313
]
}
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists the id of the user or group removed from the binder role. On FAILURE, the response returns an error message describing the reason for the failure. For example, a user or group may not be removed if the role assignment is system-managed.